Description

There are a variety of issues with RegulatingControl. These include the following and must be addressed in CIM18:
There are multiple issues with the CIM control model:

1. Multiple RegulatingControls on the same controlled point as you describe. One reason to use multiple regulating controls is
discrete vs continuous control that require different parameter settings. All RegulatingControls on the same power flow bus must then
be enabled.

2. With multiple RegulatingControls they may have different target values (targetValue) which force the receiving tool to make a
choice. If different tools make different choices then we have a problem. | have seen this in a few IGMs.

3. The control dead band (targetDeadband) is different for different type of devices which makes it difficult to use the same
RegulatingControl, e.g. switched and tapped shunts.

4. A RegulatingControl is connected to the controlled power flow bus (TopologicalNode) via a Terminal. In a node breaker model it is
common that the Terminal is at a Switch. It may then happen that the RegulatingControl becomes disconnected from the power flow
bus as a consequence of switching while the controlling devices (subclasses of RequlatingCondEq) are still actively controlling. This
has been observed to happen in several IGMs.

So the CIM voltage/reactive control model is broken and need a complete revision. For backwards compatibility we must keep the
current in parallel with the revised.

Decision
Reviewed on 12-Jun-2023 in Oslo:

The above list of issues contained in the description is a list of existing issues to be addressed by WG13.

History

#1 - 06/30/2021 03:36 PM - Herbert Falk

- Subject changed from test to There are a variety of issues with RegulatingControl. These include the following and must be addressed in CIM18
- Start date changed from 06/30/2021 to 12/19/2020

-ID setto 13 _317
- Author/Contact Info set to Todd Viegut

#2 - 06/30/2021 03:40 PM - Herbert Falk

- Description updated

- Proposal descriptions updated

- Base Release set to CIM17

- Solution to be Applied To set to 61970cim18

#3 - 06/30/2021 03:43 PM - Herbert Falk
- Proposed Solution updated

#4 - 07/06/2021 09:12 AM - Herbert Falk
- CIM Keywords 1, 3 added

#5 - 07/06/2021 10:20 AM - Eric Stephan

- Project changed from WG13 Issues to CIM Joint Issues
- ID deleted (13_317)

- Author/Contact Info deleted (Todd Viegut)

- Base Release deleted (CIM17)

- Solution to be Applied To deleted (61970cim18)

- Proposed Solution updated

- CIM Keywords deleted (1, 3)

#6 - 07/06/2021 10:25 AM - Eric Stephan
- Breaking Change Description set to This is breaking

- Breaking Change set to Yes

#7 - 06/12/2023 07:35 AM - Todd Viegut
- Status changed from New to Open

- CIM Impacted Groups WG13, WG14, WG16 added

#8 - 06/12/2023 07:48 AM - Todd Viegut

- Subject changed from There are a variety of issues with RegulatingControl. These include the following and must be addressed in CIM18 to There
are a variety of issues with advanced RegulatingControl.

- Description updated
- Status changed from Open to Review

- Decision updated

#9 - 06/12/2023 08:06 AM - Todd Viegut

- Project changed from CIM Joint Issues to WG13 Issues
